#!/bin/bash

thescript=$0

thescriptdir="$(dirname "$thescript")"

pushd "$thescriptdir" > /dev/null
source "KextUtil.sh"
source "mac_rom_checksums.sh"

loadkext "DirectHW.kext"

i=""
while [[ -e "macrom${i}.bin" ]]; do
	((i += 1))
done

sudo ./flashrom -r "macrom${i}.bin" -p anymem:address=0xfff00000,size=0x100000

unloadkext "DirectHW.kext"

printf "Rom Info: "
doonerom "macrom${i}.bin"

popd > /dev/null
