#!/bin/bash

thescript=$0

thescriptdir="$(dirname "$thescript")"

pushd "$thescriptdir" > /dev/null
source "KextUtil.sh"

loadkext "DirectHW.kext"

i=""
while [[ -e "macrom${i}.bin" ]]; do
	((i += 1))
done

sudo ./flashrom -VVV -r "macrom${i}.bin" -p internal

unloadkext "DirectHW.kext"

popd > /dev/null
